# Template Class matrix_cofactors

- Defined in File matrix.hpp

## Inheritance Relationships

### Base Type

- `public cif::matrix_expression< matrix_cofactors< M > >` (Template Class matrix_expression)

## Class Documentation

template<typename M>
class matrix_cofactors : public cif::matrix_expression<matrix_cofactors<M>>

  Implementation of a cofactor calculation as a matrix expression.

  Template Parameters:

    M – Type of matrix

  Public Functions

  inline matrix_cofactors(const M &m)

    constructor

  inline constexpr std::size_t dim_m() const

    Return dimension m.

  inline constexpr std::size_t dim_n() const

    Return dimension n.

  inline constexpr auto operator()(std::size_t i, std::size_t j) const

    Access to the value of element [ i, j ]